<?php

// This file is called for non-known URLs
// If you want to add a dynamic custom page, use this hook
do_action( 'wphone_dashboard_init' );

$this->load_interface('header');

$can_edit_posts = current_user_can('edit_posts');
$can_edit_pages = current_user_can('edit_pages');
$can_edit_categories = current_user_can('manage_categories');
$can_edit_users = current_user_can('edit_users');


// DASHBOARD
echo '<h2 class="accessible">' . __('Admin Options', 'wphone') . "</h2>\n";
echo '<ul id="adminmenu" title="' . __('WP Admin', 'wphone') . '"';
if ( TRUE != $profileupdated && $this->iscompat ) echo ' selected="true"';
echo ">\n";

if ( $can_edit_posts || $can_edit_pages) {
	echo '<li><a href="#writemenu">' . __('Write') . "</a></li>\n";
}

if ( $can_edit_posts || $can_edit_pages || $can_edit_categories) {
	echo '<li><a href="#managemenu">' . __('Manage') . "</a></li>\n";
}

if ( current_user_can('moderate_comments') ) {
	echo '<li><a href="'.$this->admin_url.'/edit-comments.php?wphone=ajax">' . __('Comments') . "</a></li>\n";
}

if ( $can_edit_users ) {
	echo '<li><a href="#usermenu">' . __('Users') . "</a></li>\n";
} else {
	echo '<li><a href="'.$this->admin_url.'/profile.php?wphone=ajax">' . __('Your Profile') . "</a></li>\n";
}

// Use this hook to add new things to the home list
do_action( 'wphone_dashboard_list' );

echo "</ul>\n";

// WRITE MENU
if ( $can_edit_posts || $can_edit_pages ) {
	echo '<h2 class="accessible">' . __('Write') . "</h2>\n";
	echo '<ul id="writemenu" title="' . __('Write') . '">' . "\n";

	if ( $can_edit_posts ) {
		echo '<li><a href="'.$this->admin_url.'/post-new.php?wphone=ajax">' . __('Post', 'wphone') . "</a></li>\n";
	}
	
	if ( $can_edit_pages ) {
		echo '<li><a href="'.$this->admin_url.'/page-new.php?wphone=ajax">' . __('Page', 'wphone') . "</a></li>\n";
	}
	
	echo "</ul>\n";
}

// MANAGE MENU
if ( $can_edit_posts || $can_edit_pages || $can_edit_categories) {
	echo '<h2 class="accessible">' . __('Manage') . "</h2>\n";
	echo '<ul id="managemenu" title="' . __('Manage') . '">' . "\n";

	if ( $can_edit_posts ) {
		echo '<li><a href="'.$this->admin_url.'/edit.php?wphone=ajax">' . __('Published Posts') . "</a></li>\n";
		$draft_nags = $this->draft_nags();
		if ($draft_nags) echo $draft_nags;
	}
	
	if ( $can_edit_pages ) {
		echo '<li><a href="'.$this->admin_url.'/edit-pages.php?wphone=ajax">' . __('Pages') . "</a></li>\n";
	}

	if ( $can_edit_categories ) {
		echo '<li><a href="'.$this->admin_url.'/categories.php?wphone=ajax">' . __('Categories') . "</a></li>\n";
		echo '<li><a href="'.$this->admin_url.'/categories.php?wphone=ajax&amp;add=true">' . __('Add Category') . "</a></li>\n";
	}

	echo "</ul>\n";
}

// USER MENU
if ( $can_edit_users ) {
	echo '<h2 class="accessible">' . __('Users') . "</h2>\n";
	echo '<ul id="usermenu" title="' . __('Users') . '"';
	if ( TRUE == $profileupdated && $this->iscompat ) echo ' selected="true"';
	echo ">\n";
	echo '<li><a href="users.php?wphone=ajax">' . __('User List') . "</a></li>\n";
	echo '<li><a href="users.php?wphone=ajax&amp;add=true">' . __('Add New User') . "</a></li>\n";
	echo '<li><a href="profile.php?wphone=ajax&amp;parent=users">' . __('Your Profile') . "</a></li>\n";
	echo "</ul>\n";
}

// If you want to add new non-AJAX pages (such as the ones listed above), this is the hook to use
do_action( 'wphone_dashboard' );

$this->load_interface('footer');

?>