<?php /*

In order to not clutter the plugins listing page, a space has been added to
the "Plugin Name" label. Remove it if you wish for this plugin to show up.

**************************************************************************

P lugin Name:  WPhone Example Plugin
Plugin URI:   http://wphoneplugin.org/
Version:      1.0.0
Description:  An example plugin on how to add to the WPhone interface.
Author:       <a href="http://tekartist.org/">Stephane Daury</a>, <a href="http://literalbarrage.org/blog/">Doug Stewart</a>, and <a href="http://www.viper007bond.com/">Viper007Bond</a>

**************************************************************************/

class WPhone_Example {
	// Hook into WPhone
	function WPhone_Example() {
		add_action( 'wphone_dashboard_list', array(&$this, 'DashboardList') );
		add_action( 'wphone_dashboard', array(&$this, 'OptionsList') );
		add_action( 'wphone_dashboard_init', array(&$this, 'MaybeOptionsPage') );
	}


	// This adds our new menu to the dashboard list
	function DashboardList() {
		if ( !current_user_can('manage_options') ) return;

		echo '<li><a href="#optionsmenu">' . __('Options') . "</a></li>\n";
	}


	// The submenu on the dashboard
	function OptionsList() {
		global $WPhone;

		if ( !current_user_can('manage_options') ) return;

		// Tells WPhone not to load the header/footer when in AJAX mode
		$query_string = ($WPhone->iscompat) ? '?wphone=ajax' : '';
		
		echo '<h2 class="accessible">' . __('Options') . "</h2>\n";
		echo '<ul id="optionsmenu" title="' . __('Options') . '" ' . $iui_selected . ">\n";
		echo '<li><a href="options-general.php' . $query_string . '">' . __('General') . "</a></li>\n";
		echo '<li><a href="options-writing.php' . $query_string . '">' . __('Writing') . "</a></li>\n";
		echo '<li><a href="options-reading.php' . $query_string . '">' . __('Reading') . "</a></li>\n";
		echo '<li><a href="options-discussion.php' . $query_string . '">' . __('Discussion') . "</a></li>\n";
		echo '<li><a href="options-privacy.php' . $query_string . '">' . __('Privacy') . "</a></li>\n";
		echo '<li><a href="options-permalink.php' . $query_string . '">' . __('Permalinks') . "</a></li>\n";
		echo '<li><a href="options-misc.php' . $query_string . '">' . __('Miscellaneous') . "</a></li>\n";
		echo "</ul>\n";
	}


	// Maybe display one of the options pages
	function MaybeOptionsPage() {
		global $WPhone;

		if ( !current_user_can('manage_options') || FALSE === strstr( $WPhone->current_basename, 'options-' ) ) return;

		// Load header if not in AJAX mode
		if ( 'ajax' != $_GET['wphone'] ) $WPhone->load_interface('header');

		// Tells iUI to show this container by default
		$iui_selected = ( $WPhone->iscompat ) ? ' selected="true"' : '';
		
		// Which options page are we on?
		switch( $WPhone->current_basename ) {
			case 'options-general.php' :
				echo '<p'. $iui_selected .'>This would be the general options page.</p>';
				break;
			case 'options-writing.php' :
				echo '<p'. $iui_selected .'>This would be the writing options page.</p>';
				break;
			case 'options-reading.php' :
				echo '<p'. $iui_selected .'>This would be the reading options page.</p>';
				break;
			case 'options-discussion.php' :
				echo '<p'. $iui_selected .'>This would be the discussion options page.</p>';
				break;
			case 'options-privacy.php' :
				echo '<p'. $iui_selected .'>This would be the privacy options page.</p>';
				break;
			case 'options-permalink.php' :
				echo '<p'. $iui_selected .'>This would be the permalink options page.</p>';
				break;
			case 'options-misc.php' :
				echo '<p'. $iui_selected .'>This would be the miscellaneous options page.</p>';
				break;
			default :
				return; // Unknown options page
		}

		// Load footer if not in AJAX mode
		if ( 'ajax' != $_GET['wphone'] ) $WPhone->load_interface('footer');

		// Needed to abort showing the regular WPhone dashboard
		exit();
	}
}

$WPhone_Example = new WPhone_Example();

?>