<?php

// Load WordPress
require_once( '../../../../wp-config.php' );

// Define a fixed list of allowed files to avoid exploits
$validfiles = apply_filters( 'wphone_gzipvalidfiles',
	array(
		'iui.css'     => array( 'path' => 'iui/iuix.css', 'mime' => 'text/css' ),
		'iui.js'      => array( 'path' => 'iui/iuix.js', 'mime' => 'application/x-javascript' ),
		'wphone.css'  => array( 'path' => 'css/wphone.css', 'mime' => 'text/css' ),
		'wphone.js'   => array( 'path' => 'js/wphone.js', 'mime' => 'application/x-javascript' )
	)
);

if ( !array_key_exists( $_GET['file'], $validfiles ) ) {
	status_header( 404 );
	nocache_headers();
	_e( 'Invalid file selected.', 'wphone' );
	exit();
}

// Attempt to gzip the contents
ob_start( 'ob_gzhandler' );

// Send cache headers ( modification of cache_javascript_headers() )
$expiresOffset = 864000; // 10 days
header( 'Content-Type: ' . $validfiles[$_GET['file']]['mime'] . '; charset=' . get_bloginfo('charset') );
header( 'Vary: Accept-Encoding' ); // Handle proxies
header( 'Expires: ' . gmdate("D, d M Y H:i:s", time() + $expiresOffset) . ' GMT' );

$file_contents = file_get_contents( './' . $validfiles[$_GET['file']]['path'] );

switch ($_GET['file']) {
	case 'iui.css':
		$file_contents = preg_replace('/(\w*?)\.(png|jpg|gif|css)/', './iui/\1.\2', $file_contents);
		break;
	case 'wphone.css':
		$file_contents = str_replace('../', './', $file_contents);
		break;
}

// Output file contents
echo $file_contents;

?>